Subject: Thank You
From: [email-masked]
Cc: [email-masked]
Date: Sat, 26 May 2001 04:43:05 -0700 (PDT)

Dear John,

Thanks for taking the time to meet with me on Wednesday afternoon.  Your synthesis of Enron's structured, mid-market and trading deals vis-a-vis broad geographic classifications of electricity markets in North America was particularly enlightening.  I also appreciate your referring Dave Duran and Chris Calger of East and West Power Origination, respectively.  Although I was unable to meet with Dave due to time constraints, I expect to speak with him in the course of my discussions with Ben Jacoby--who works with Dave.

Best regards,
Manuel